Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://apimgmt.cometchat.io/apps/{appId}/extensions/data-masking/v1/settings \ --header 'key: <key>' \ --header 'secret: <secret>'
{ "data": { "statusCode": 200, "success": true, "responseTime": 3.061743974685669, "body": { "data": { "settings": { "appId": "10419c7658224", "dropMessage": false, "customregexData": [], "defaultRegexData": [ { "enableFlag": false, "id": "2", "name": "Emails", "regex": "\\\\w+([.-]?\\\\w+)*@\\\\w+([.-]?\\\\w+)*(\\\\.\\\\w{2,10})+" }, { "enableFlag": false, "id": "1", "name": "US Phone numbers", "regex": "[2-9]\\\\d{2}-\\\\d{3}-\\\\d{4}" }, { "enableFlag": false, "id": "3", "name": "SSN", "regex": "\\\\d{3}-\\\\d{2}-\\\\d{4}" } ] } } } } }
Data masking : Get the settings for Data masking extension.
Authorization Key
Authorization Secret
AppID in which the extension has to be enabled/disabled
Get Data-Maksing Settings
Show child attributes
Was this page helpful?